import 'package:antsomisdk/ultis.dart';

class CDPEvent extends JSONStringRepresentable {
  CDPEvent({
    this.en = "",
    this.items = const [],
    this.objectProps = const {},
    this.customerProps = const {},
    this.userProps = const {},
  }) {
    eventProps = {};
  }
// ignore: unnecessary_getters_setters

//private fields

  late Map<String, dynamic> eventProps;

  late Map<String, dynamic> _dims;
  Map<String, dynamic> get dims => _dims;

  /// those field below can be setted
  late String en;

  set eventName(String value) {
    en = value;
  }

  late List<Map<String, dynamic>> items;

  set setItems(List<Map<String, dynamic>> value) {
    items = value;
  }

  late Map<String, dynamic> objectProps;

  set setObjectProps(Map<String, dynamic> value) {
    objectProps = value;
  }

  late Map<String, dynamic> customerProps;
  set setCustomerProps(Map<String, dynamic> value) {
    customerProps = value;
  }

  late Map<String, dynamic> userProps;
  set setUserProps(Map<String, dynamic> value) {
    userProps = value;
  }

  @override
  String jsonRepresentation() {
    throw (UnimplementedError);
  }
}
